/*
 * Copyright 2020 Red Hat, Inc. and/or its affiliates
 * and other contributors as indicated by the @author tags.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jboss.as.galleon.maven.repo.patcher;

import java.nio.file.Path;

/**
 *
 * @author jdenise
 */
public class AddedArtifact extends Artifact {

    private final Path added;
    private final String[] addedEntry;

    AddedArtifact(Path added) {
        super(null);
        this.added = added;
        this.addedEntry = ArtifactUtils.pathToArtifactVersion(added);
    }

    /**
     * @return the added present only in the patched repo.
     */
    public Path getAdded() {
        return added;
    }

    /**
     * @return the addedEntry
     */
    public String[] getAddedEntry() {
        return addedEntry;
    }
}
